Update 1.4 auf 1.8.2 zu empfehlen?


#1

Hallo,

ich setze derzeit noch Piwik in der Version 1.4 ein. Mit dem damaligen Update habe ich Piwik nach den Empfehlungen der ULD eingericht und soweit Datenschutzkonform betrieben. So habe ich z.B. auch die Anpassungen in meinem Disclaimer entsprechend angepasst und das iFrame integriert.

Nun habe ich gesehen das es mittlerweile einige Updates von Piwik gab.

Ehrlich gesagt habe ich etwas Bammel davor, erneut alles Anpassungen vornehmen zu müssen, zumal sich das ULD Dokument auf die Version 1.2 bezieht und sich zwischenzeitlich unter Piwik vermutlich so manches geändert hat.

Deshalb meine Frage: Kann ich unter dem Aspekt der Sicherheit weiterhin die 1.4 Version nutzen oder sind irgendwelche Sicherheitslücken bekannt geworden, die ein Update erforderlich machen. Zweite Frage: Inwieweit kann ich noch die Empfehlungen der ULD unter der aktuellen Piwik Version einsetzen? Ich bin nur mit den Grundfunktionen von Piwik vertraut und möchte insofern nicht zu tief in das System eingreifen.

Für eure Hilfe besten Dank!!


#2

Du solltest dringend updaten. Seit der Version 1.4 wurden zahlreiche Bugs beseitigt. Die Empfehlungen des ULD haben nach wie vor bestand. Jedoch sind einige Änderungen bereits direkt in Piwik umgesetzt.


#3

Hallo,

ich habe Deinen Rat befolgt und auf die neue Version upgedatet. Ich war überrascht das in Bezug auf die Datenschutzkonforme Webanalyse nichts mehr anzupassen war. Klasse! Einzig die Textvorlage zur Abschaltung der Piwik Webanalye, welche ich über ein iFrame im Disclaimer integriert habe, musste ich über CSS noch etwas formatieren. Ansonsten alles TOP!

Beste Grüße